Summary: A statically linked shell, including some built-in basic commands.
Name: sash
Version: 3.7
Release: 1tr
License: GPL
Group: Trustix Official
Source0: http://www.canb.auug.org.au/~dbell/programs/sash-%{version}.tar.gz
Patch0: sash-3.6-misc.patch
Patch2: sash-3.4-losetup.patch
Patch3: sash-plus-patches-3.7
Buildroot: %{_tmppath}/%{name}-root

%description
Sash is a simple, standalone, statically linked shell which includes
simplified versions of built-in commands like ls, dd and gzip.  Sash
is statically linked so that it can work without shared libraries, so
it is particularly useful for recovering from certain types of system
failures.  Sash can also be used to safely upgrade to new versions of
shared libraries.

%prep
%setup -q
#%patch0 -p1
#%patch2 -p1
%patch3 -p1

%build
make RPM_OPT_FLAGS="$RPM_OPT_FLAGS"

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/sbin
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man8

install -s -m755 sash $RPM_BUILD_ROOT/sbin
install -m644 sash.1 $RPM_BUILD_ROOT%{_mandir}/man8/sash.8

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/sbin/sash
%{_mandir}/man8/sash.8*

%changelog
* Thu Sep 23 2004 Ajith Thampi <ajith at comodo dot com> 3.7-1tr
- New Upstream
- Added Patch sash-plus-patches, removed previous.

* Mon Dec  8 2003 Erlend Midttun <erlendbm at trustix dot org> 3.6-1tr
- New upstream.

* Wed Jun 18 2003 Erlend Midttun <erlendbm at trustix dot com> 3.5-4tr
- Big rebuild

* Mon Mar 24 2003 Erlend Midttun <erlendbm at trustix dot com> 3.5-3em
- Rebuilt against glibc 2.3.2.

* Wed Jul 24 2002 Daniel Meyer <eagle at trustix dot org> 3.5-2dm
- rebuild for Trustix Secure Linux 2.0

* Mon Mar 18 2002 Christian H. Toldnes <christht at trustix dot com>
- Security related rebuild due to broken zlib.
- Picked up version 3.5

* Wed Jul 19 2000 Jakub Jelinek <jakub@redhat.com>
- rebuild to cope with glibc locale binary incompatibility

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Tue Jun 13 2000 Preston Brown <pbrown@redhat.com>
- FHS paths

* Mon Feb 07 2000 Preston Brown <pbrown@redhat.com>
- rebuild to gzip man page

* Mon Oct 04 1999 Cristian Gafton <gafton@redhat.com>
- rebuild against new glibc in the sparc tree

* Mon Aug  2 1999 Jeff Johnson <jbj@redhat.com>
- upgrade to 3.3 (#4301).

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 4)

* Wed Feb 24 1999 Preston Brown <pbrown@redhat.com>
- Injected new description and group.

* Fri Dec 18 1998 Preston Brown <pbrown@redhat.com>
- bumped spec number for initial rh 6.0 build
